Bug 594631 - kernel: security: testing the wrong variable in create_by_name() [mrg-1.3]
Summary: kernel: security: testing the wrong variable in create_by_name() [mrg-1.3]
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel   
(Show other bugs)
Version: Development
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: John Kacur
QA Contact: David Sommerseth
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-21 08:19 UTC by Eugene Teo (Security Response)
Modified: 2016-05-22 23:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-06 10:55:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eugene Teo (Security Response) 2010-05-21 08:19:22 UTC
Description of problem:
There is a typo here.  We should be testing "*dentry" instead of "dentry".  If
"*dentry" is an ERR_PTR, it gets dereferenced in either mkdir() or create()
which would cause an OOPs.

This bug has been in the kernel since 2.6.14-rc2 via b67dbf9d.

Upstream commit:
http://git.kernel.org/linus/b338cc8207eae46640a8d534738fda7b5e48511d

Comment 1 Eugene Teo (Security Response) 2010-08-06 03:19:33 UTC
Also need this patch, fa7fe7af146a7b613e36a311eefbbfb5555325d1.

Comment 2 John Kacur 2010-08-06 10:55:42 UTC
fa7fe7af146a7b613e36a311eefbbfb5555325d1 is already present in
2.6.33.7-rt29-mrg35 as
a52298dba1c83b9ea7557c92c0200d325a966a99

b338cc8207eae46640a8d534738fda7b5e48511d is already present in
2.6.33.7-rt29-mrg35
as
4933574421fa12c89c29f95a57c6969be8c9e2d3

No further actions are necessary, this bz can be closed.


Note You need to log in before you can comment on or make changes to this bug.